Students
post
Create a new student.
Body
sitestringRequired
emailstringOptional
first_namestringRequired
last_namestringRequired
locationstringRequired
student_idstringOptional
Responses
200
Default Response
application/json
_idstringRequired
sitestringRequired
emailstringOptional
first_namestringRequired
last_namestringRequired
locationstringRequired
student_idstringRequired
record_namestringRequired
typestringRequired
created_atstringRequired
updated_atstringRequired
photo_urlstringOptional
post/students
POST /students HTTP/1.1
Host: api.kitehouse.co.uk
Content-Type: application/json
Accept: */*
Content-Length: 107
{
"site": "text",
"email": "text",
"first_name": "text",
"last_name": "text",
"location": "text",
"student_id": "text"
}200
Default Response
{
"_id": "text",
"site": "text",
"email": "text",
"first_name": "text",
"last_name": "text",
"location": "text",
"student_id": "text",
"record_name": "text",
"type": "text",
"created_at": "text",
"updated_at": "text",
"photo_url": "text"
}delete
Delete a student from a site.
Path parameters
siteIdstringRequired
userIdstringRequired
Responses
200
Default Response
application/json
successbooleanRequired
delete/students/{siteId}/{userId}
DELETE /students/{siteId}/{userId} HTTP/1.1
Host: api.kitehouse.co.uk
Accept: */*
200
Default Response
{
"success": true
}patch
Update a student.
Path parameters
siteIdstringRequired
userIdstringRequired
Body
emailstringOptional
first_namestringRequired
last_namestringRequired
locationstringRequired
student_idstringOptional
welfare_flagbooleanOptional
flagsstring[]Optional
welfare_statestring · nullableOptional
Responses
200
Default Response
No content
patch/students/{siteId}/{userId}
PATCH /students/{siteId}/{userId} HTTP/1.1
Host: api.kitehouse.co.uk
Content-Type: application/json
Accept: */*
Content-Length: 151
{
"email": "text",
"first_name": "text",
"last_name": "text",
"location": "text",
"student_id": "text",
"welfare_flag": true,
"flags": [
"text"
],
"welfare_state": null
}200
Default Response
No content
get
Export a list of students as a CSV file.
Path parameters
sitestringRequired
Query parameters
sortBystring · enumOptionalPossible values:
Responses
200
Default Response
No content
get/students/{site}/export-csv
GET /students/{site}/export-csv HTTP/1.1
Host: api.kitehouse.co.uk
Accept: */*
200
Default Response
No content
get
Export a list of students as a PDF.
Path parameters
siteIdstringRequired
Query parameters
sortBystring · enumOptionalPossible values:
includePhotobooleanOptionalDefault:
falseResponses
200
Default Response
No content
get/students/{site}/export
GET /students/{site}/export HTTP/1.1
Host: api.kitehouse.co.uk
Accept: */*
200
Default Response
No content
post
Import a list of students.
Path parameters
sitestringRequired
Body
typestring · enumRequiredPossible values:
Responses
200
Default Response
application/json
post/students/{site}/import
POST /students/{site}/import HTTP/1.1
Host: api.kitehouse.co.uk
Content-Type: application/json
Accept: */*
Content-Length: 122
{
"students": [
{
"email": "text",
"first_name": "text",
"last_name": "text",
"location": "text",
"student_id": "text"
}
],
"type": "full"
}200
Default Response
{
"students": [
{
"_id": "text",
"email": "text",
"first_name": "text",
"last_name": "text",
"location": "text",
"student_id": "text",
"site": "text",
"active": true
}
],
"exceptions": [
{
"email": "text",
"first_name": "text",
"last_name": "text",
"location": "text",
"student_id": "text",
"cause": "text",
"existing_record_id": "text"
}
]
}get
Retrieve all students from a site.
Path parameters
siteIdstringRequired
Responses
200
Default Response
application/json
_idstringRequired
first_namestringRequired
last_namestringRequired
record_namestringRequired
locationstringRequired
student_idstringOptional
floorstringOptional
emailstringOptional
photo_urlstringOptional
sitestringRequired
created_atstringRequired
updated_atstringRequired
typestringRequired
activebooleanRequired
welfare_flagbooleanRequired
get/students/{siteId}
GET /students/{siteId} HTTP/1.1
Host: api.kitehouse.co.uk
Accept: */*
200
Default Response
[
{
"_id": "text",
"first_name": "text",
"last_name": "text",
"record_name": "text",
"location": "text",
"student_id": "text",
"floor": "text",
"email": "text",
"photo_url": "text",
"site": "text",
"created_at": "text",
"updated_at": "text",
"type": "text",
"active": true,
"welfare_flag": true,
"flags": [
{
"_id": "text",
"name": "text",
"colour": "text"
}
],
"welfare_state": {
"_id": "text",
"name": "text",
"colour": "text"
}
}
]Last updated
Was this helpful?

